# Phases

### EmbeddingLoadingState

`EmbeddingLoadingState` は埋め込み読み込み状態です。

```kotlin
sealed class EmbeddingLoadingState {
    class Loading : EmbeddingLoadingState()
    class Completed(var view: @Composable () -> Unit) : EmbeddingLoadingState()
    class NotFound : EmbeddingLoadingState()
    class Failed(e: Throwable) : EmbeddingLoadingState()
}
```

### RemoteConfigLoadingState

`RemoteConfigLoadingState` は Remote Config 読み込み状態です。

```kotlin
sealed class RemoteConfigLoadingState {
    class Loading : RemoteConfigLoadingState()
    class Completed(var variant: RemoteConfigVariant) : RemoteConfigLoadingState()
    class NotFound : RemoteConfigLoadingState()
    class Failed(e: Throwable) : RemoteConfigLoadingState()
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nubrick.app/reference/android/phases.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
